#include <ESP8266WiFi.h>

WiFiServer server(80);    // Server Port
IPAddress ip(192,168,43,100);   // Fixed IP address for server
IPAddress gateway(192,168,43,1);    // Router's IP address
IPAddress subnet(255,255,255,0);

char ssid[] = "YourSSIDhere";
char pass[] = "YourPassWordHere";

int ledPin = 9;
int button = 10;

void setup() {
  Serial.begin(115200);
  
  WiFi.config(ip, gateway, subnet);
  WiFi.begin(ssid, pass);
  while(WiFi.status() != WL_CONNECTED) {
    Serial.print(".");
    delay(500);
  }
  Serial.println();
  
  server.begin();
  Serial.println("Server Started");

  Serial.print("Server's IP address: ");
  Serial.println(WiFi.localIP());
  Serial.println();
  
}

void loop() {
  // Check if a client has connected
  WiFiClient client = server.available();
  if (!client) {
    return;
  }

  // Wait until the client sends some data
  Serial.println("new client");
  while (!client.available()) {
    delay(1);
  }

  // Read the first line of the request
  String request = client.readStringUntil('\r');
  Serial.println(request);
  client.flush();

  // Match the request
  if (request.indexOf("/led-on") > 0)  {
    digitalWrite(ledPin, HIGH);
  }
  
  if (request.indexOf("/led-off") > 0)  {
    digitalWrite(ledPin, LOW);
  }

  // stop connection with client
  client.stop();
  Serial.println("Client disonnected");
  Serial.println("");
}
